curl --request GET \
--url https://api.palomma.com/v0/payinRequests/{payinRequestId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.palomma.com/v0/payinRequests/{payinRequestId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.palomma.com/v0/payinRequests/{payinRequestId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.palomma.com/v0/payinRequests/{payinRequestId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.palomma.com/v0/payinRequests/{payinRequestId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.palomma.com/v0/payinRequests/{payinRequestId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.palomma.com/v0/payinRequests/{payinRequestId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "01HPR83V7JBNJTKT303NTY3YGA",
"reference": "<string>",
"customerId": "01HPR57X6QR5ZRKEEKBSDBW4RA",
"customerDetails": {
"reference": "<string>",
"name": "Pepito Perez",
"documentType": "cc",
"documentNumber": "1037551022",
"email": "pepito@gmail.com",
"phoneNumber": "3013111111"
},
"payinSourceId": "01HPR7A40E44S0WDR189YXA8GH",
"payinSourceDetails": {
"reference": "<string>",
"description": "<string>",
"partialPayinsEnabled": true,
"type": "bankAccount"
},
"status": "approved",
"statusMessage": "AUTHENTICATION_FAILED",
"amount": 100000,
"amountCollected": 100000,
"fee": 500,
"targetMerchantAccountId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Get Payin Request
curl --request GET \
--url https://api.palomma.com/v0/payinRequests/{payinRequestId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.palomma.com/v0/payinRequests/{payinRequestId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.palomma.com/v0/payinRequests/{payinRequestId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.palomma.com/v0/payinRequests/{payinRequestId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.palomma.com/v0/payinRequests/{payinRequestId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.palomma.com/v0/payinRequests/{payinRequestId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.palomma.com/v0/payinRequests/{payinRequestId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "01HPR83V7JBNJTKT303NTY3YGA",
"reference": "<string>",
"customerId": "01HPR57X6QR5ZRKEEKBSDBW4RA",
"customerDetails": {
"reference": "<string>",
"name": "Pepito Perez",
"documentType": "cc",
"documentNumber": "1037551022",
"email": "pepito@gmail.com",
"phoneNumber": "3013111111"
},
"payinSourceId": "01HPR7A40E44S0WDR189YXA8GH",
"payinSourceDetails": {
"reference": "<string>",
"description": "<string>",
"partialPayinsEnabled": true,
"type": "bankAccount"
},
"status": "approved",
"statusMessage": "AUTHENTICATION_FAILED",
"amount": 100000,
"amountCollected": 100000,
"fee": 500,
"targetMerchantAccountId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier of the payin request.
Response
Payin Request retrieved successfully.
Unique identifier for this Payin Request.
"01HPR83V7JBNJTKT303NTY3YGA"
Reference sent in by merchant to identify Payin Request.
Reference to customer who owns the Payin Source from which the Payin Request was created.
"01HPR57X6QR5ZRKEEKBSDBW4RA"
Details about the customer who owns the Payin Source from which the Payin Request was created.
Show child attributes
Show child attributes
Reference to Payin Source from which the Payin Request was created.
"01HPR7A40E44S0WDR189YXA8GH"
Details about the Payin Source from which the Payin Request was created.
Show child attributes
Show child attributes
Status of the Payin Request.
processing, approved, partial, cancelled "approved"
Additional detail on the status. Only present when status is "cancelled".
AUTHENTICATION_FAILED, CUSTOMER_CANCELLATION, DECLINED_BY_BANK, EXPIRED, INVALID_ACCOUNT, NOT_ENOUGH_FUNDS, ERROR Amount to collect from the customer’s Payin Source. Must be an integer.
100000
Amount collected by Payin Request. Starts at 0 and changes on status change to "approved" or "partial".
100000
Fee charged for the transaction. This fee will be subtracted from amountCollected at settlement time.
500
Reference to Merchant Account. Safe to ignore if Merchant Accounts are not being used.
ISO string indicating when the payin request was created.
ISO string indicating when the payin request was last updated.
